DCMTK - Feature #242

Verwendung von STL- und STD-Klassen in configure aktivieren
2006-02-09 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0:00 hour

Target version:

Module: config Compiler:

Operating System:

Description

HAVE_STL oder HAVE_STD_STRING missen bislang manuell definiert werden, um die STL-Klasse bzw. die ANSI C++
String-Klasse zu verwenden. Eine entsprechende configure-Option (+ CMake) ware sicherlich hilfreich. Vielleicht kann man die
vorhandene Unterstitzung (unter Unix) auch automatisch erkennen.

History

#1 - 2025-08-29 18:09 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Meanwhile available in the CMake toolchain as "DCMTK_ENABLE_STL".
